unit Frame;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  StdCtrls, CommonMemory;

type
  TFrameForm = class(TForm)
    Edit1: TEdit;
    Edit2: TEdit;
    Button1: TButton;
    Button2: TButton;
    Button3: TButton;
    procedure FormShow(Sender: TObject);
    procedure Button1Click(Sender: TObject);
    procedure Button2Click(Sender: TObject);
    procedure FormCloseQuery(Sender: TObject; var CanClose: Boolean);
    procedure Button3Click(Sender: TObject);
  private
    { Private 錾 }
  public
    { Public 錾 }
    CM: TCommonMemory;
  end;

var
  FrameForm: TFrameForm;

implementation

{$R *.DFM}

procedure TFrameForm.FormShow(Sender: TObject);
begin
  CM := TCommonMemory.Create('_comm8086_', 1024);
  Caption := IntToStr(CM.ProcessCount);
end;

procedure TFrameForm.Button1Click(Sender: TObject);
begin
  CM.Str := Edit1.Text;
end;

procedure TFrameForm.Button2Click(Sender: TObject);
begin
  Edit2.Text := CM.Str;
end;

procedure TFrameForm.FormCloseQuery(Sender: TObject;
  var CanClose: Boolean);
begin
  CM.Free;
end;

procedure TFrameForm.Button3Click(Sender: TObject);
begin
  CM.Clear; // f[^[NA[B
  CM.StrList.Add(Edit1.Text);
  CM.StrList.Add(Edit2.Text);
  CM.Update; // Str  StrList ̃f[^Ă Memory ɃRs[B
  ShowMessage(CM.Str);
end;

end.

